Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 529569 (mingw32-speex) - Review Request: mingw32-speex - MinGW build of the Speex voice compression codec library
Summary: Review Request: mingw32-speex - MinGW build of the Speex voice compression co...
Keywords:
Status: CLOSED NOTABUG
Alias: mingw32-speex
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: mingw32-libogg
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-10-18 18:43 UTC by Mihai Limbășan
Modified: 2010-12-17 15:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-17 15:25:23 UTC


Attachments (Terms of Use)

Description Mihai Limbășan 2009-10-18 18:43:11 UTC
Spec URL: http://rpms.limbasan.ro/fedora/11/SPECS/mingw32-speex.spec
SRPM URL: http://rpms.limbasan.ro/fedora/11/SRMPS/mingw32-speex-1.2-2.rc1.fc11.src.rpm
Description: This is a MinGW crosscompiler port of the speex package.

The spec file was created based on the example at

http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/file/3d9d4c1db042/example/mingw32-example.spec#l1

and on the main Fedora speex spec, taking into account the MinGW SIG packaging
guidelines at http://fedoraproject.org/wiki/Packaging/MinGW .

rpmlint output:

[mimock@home syncup]$ rpmlint mingw32-speex-1.2-2.rc1.fc11.noarch.rpm mingw32-speex-1.2-2.rc1.fc11.src.rpm mingw32-speex-static-1.2-2.rc1.fc11.noarch.rpm mingw32-speex-tools-1.2-2.rc1.fc11.noarch.rpm
mingw32-speex-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libspeex.a
mingw32-speex-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libspeexdsp.a
mingw32-speex-static.noarch: W: no-documentation
mingw32-speex-tools.noarch: W: no-documentation
4 packages and 0 specfiles checked; 2 errors, 2 warnings.

which are OK accoring to the packaging guidelines.

Beside the usual static library subpackage, the command line encoder and decoder have been separated into a -tools subpackage to avoid having the speex codec libraries Require mingw32-libogg.

The -m4 patch is Fedora's -m4 patch, corrected to apply cleanly on 1.2rc1.

The -acconf patch helps in replacing the ancient config.sub, config.guess, and
libtool shipped by upstream with current versions.

The package BuildRequires, and the tools subpackage Requires the mingw32-libogg package - see bug #529548 - which is available at the same test repo ( http://rpms.limbasan.ro/fedora/11/i386/ ). mingw32-speex builds cleanly in mock. If there's any way to get Koji to perform a scratch build using third party packages, I couldn't figure it out, so there's no Koji link for the moment.

Comment 1 Richard W.M. Jones 2009-10-19 12:21:34 UTC
Package looks sane.  Same comment re static libraries.

Comment 2 Mihai Limbășan 2009-10-19 19:03:32 UTC
Improved package, bumped revision. New URLs:

Spec URL: 
SRPM URL: 

Changes as follows:
- Removed -static and -tools packages.
- aclocal and pkgconfig directories under _mingw32_libdir are
  no longer installed, mingw32-filesystem already provides them.
- Removed redundant BuildRequire mingw32-binutils which is
  already Required by mingw32-gcc.
- Prepared the check build stage for whenever speex get checks.
- Cosmetic cleanup.

rpmlint says:

[mimock@home mingw32-speex]$ rpmlint -v *rpm
mingw32-speex.noarch: I: checking
mingw32-speex.src: I: checking
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Again no Koji link due to dependency on mingw32-libogg (bug #529548). Upstream does not seem to provide any tests, but it builds cleanly in mock.

Comment 4 Jason Tibbitts 2010-11-02 14:17:35 UTC
Blocking needsponsor as you do not appear to be a member of the packager group.


Note You need to log in before you can comment on or make changes to this bug.